Tuesday, February 16, 2016

Have a Kindle? UPDATE IT!

Amazon recently announced a “Critical Software Update for Kindle E-Readers," warning that your Kindle could become entirely useless without it:
Customers using an outdated software version on Kindle e-readers require an important software update by March 22, 2016 in order to continue to download Kindle books from the Cloud, access the Kindle Store, and use other Kindle services on their device.
Generally, every Kindle released between 2007 (first generation) and 2012 (5th generation Paperwhite) will need the update. Kindle Fires should be okay. Check Amazon for more specific details, and UPDATE!

 

2 comments: